//+------------------------------------------------------------------+
//|                                                      Awesome.mq4 |
//|                      Copyright  2005, MetaQuotes Software Corp. |
//|                                       http://www.metaquotes.net/ |
//+------------------------------------------------------------------+
#property  copyright "Copyright  2013, Carl Rodriguez"
#property  link      "http://www.interanalyst.us/"
#include <MovingAverages.mqh>
//---- indicator settings
#property  indicator_separate_window
//#property  indicator_chart_window
#property  indicator_buffers 4
#property indicator_plots   4


#property indicator_type1   DRAW_LINE
#property  indicator_color1  Red
#property indicator_width1  1
#property indicator_label1  "var1";



#property indicator_type2   DRAW_LINE
#property  indicator_color2  Blue
#property indicator_width2  1
#property indicator_label2  "var2";


#property indicator_type3   DRAW_LINE
#property  indicator_color3  Aqua
#property indicator_width3  1
#property indicator_label3  "var3"


#property indicator_type4   DRAW_LINE
#property  indicator_color4  Yellow
#property indicator_width4  1
#property indicator_label4  "var4"


//---- indicator buffers

double     var1[];
double     var2[];
double     var3[];
double     var4[];


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+

int OnInit()
{
   

 SetIndexBuffer(0,var1,INDICATOR_DATA); 
 SetIndexBuffer(1,var2,INDICATOR_DATA); 
 SetIndexBuffer(2,var3,INDICATOR_DATA);
 SetIndexBuffer(3,var4,INDICATOR_DATA);
  


PlotIndexSetInteger(0,PLOT_DRAW_TYPE,DRAW_LINE);
PlotIndexSetInteger(1,PLOT_DRAW_TYPE,DRAW_LINE);
PlotIndexSetInteger(2,PLOT_DRAW_TYPE,DRAW_LINE);
PlotIndexSetInteger(3,PLOT_DRAW_TYPE,DRAW_LINE);
   


  


//---- initialization done
   return(0);
  }
//+------------------------------------------------------------------+
//| Awesome Oscillator                                               |
//+------------------------------------------------------------------+
int OnCalculate(const int rates_total,// size of input time series
                const int prev_calculated,// bars handled in previous call
                const datetime &time[],// Time
                const double &open[],
                const double &high[],
                const double &low[],
                const double &close[],
                const long &tick_volume[],
                const long &volume[],
                const int &spread[])
  {





   
   
   int start;
   if(prev_calculated==0) start = 0;//MioPeriodo-1;
   else start= prev_calculated-1;
   

   

   
   

    
 

  
     for( int i=start; i<rates_total; i++) {
      var1[i]=0.5;
      
      var2[i]=0.7;
      
      var3[i] = 1.0;

      var4[i] = 2.0;//

   }

//---- done
   return(rates_total);
  }

